WKSRecord.Service (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class WKSRecord.Service

- java.lang.Object
- - org.xbill.DNS.WKSRecord.Service

- Enclosing class:
    WKSRecord

      public static class WKSRecord.Service
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTH` Authentication Service
    `static int` | `BL_IDM` Britton-Lee IDM
    `static int` | `BOOTPC` Bootstrap Protocol Client
    `static int` | `BOOTPS` Bootstrap Protocol Server
    `static int` | `CHARGEN` Character Generator
    `static int` | `CISCO_FNA` CISCO FNATIVE
    `static int` | `CISCO_SYS` CISCO SYSMAINT
    `static int` | `CISCO_TNA` CISCO TNATIVE
    `static int` | `CSNET_NS` Mailbox Name Nameserver
    `static int` | `DAYTIME` Daytime
    `static int` | `DCP` Device Control Protocol
    `static int` | `DISCARD` Discard
    `static int` | `DOMAIN` Domain Name Server
    `static int` | `DSP` Display Support Protocol
    `static int` | `ECHO` Echo
    `static int` | `EMFIS_CNTL` EMFIS Control Service
    `static int` | `EMFIS_DATA` EMFIS Data Service
    `static int` | `ERPC` HYDRA Expedited Remote Procedure
    `static int` | `FINGER` Finger
    `static int` | `FTP` File Transfer [Control]
    `static int` | `FTP_DATA` File Transfer [Default Data]
    `static int` | `GRAPHICS` Graphics
    `static int` | `HOSTNAME` NIC Host Name Server
    `static int` | `HOSTS2_NS` HOSTS2 Name Server
    `static int` | `INGRES_NET` INGRES-NET Service
    `static int` | `ISI_GL` ISI Graphics Language
    `static int` | `ISO_TSAP` ISO-TSAP
    `static int` | `LA_MAINT` IMP Logical Address Maintenance
    `static int` | `LINK` LINK
    `static int` | `LOC_SRV` Location Service
    `static int` | `LOCUS_CON` Locus PC-Interface Conn Server
    `static int` | `LOCUS_MAP` Locus PC-Interface Net Map Server
    `static int` | `LOGIN` Login Host Protocol
    `static int` | `METAGRAM` Metagram Relay
    `static int` | `MIT_DOV` MIT Dover Spooler
    `static int` | `MPM` Message Processing Module [recv]
    `static int` | `MPM_FLAGS` MPM FLAGS Protocol
    `static int` | `MPM_SND` MPM [default send]
    `static int` | `MSG_AUTH` MSG Authentication
    `static int` | `MSG_ICP` MSG ICP
    `static int` | `NAMESERVER` Host Name Server
    `static int` | `NETBIOS_DGM` NETBIOS Datagram Service
    `static int` | `NETBIOS_NS` NETBIOS Name Service
    `static int` | `NETBIOS_SSN` NETBIOS Session Service
    `static int` | `NETRJS_1` Remote Job Service
    `static int` | `NETRJS_2` Remote Job Service
    `static int` | `NETRJS_3` Remote Job Service
    `static int` | `NETRJS_4` Remote Job Service
    `static int` | `NI_FTP` NI FTP
    `static int` | `NI_MAIL` NI MAIL
    `static int` | `NICNAME` Who Is
    `static int` | `NNTP` Network News Transfer Protocol
    `static int` | `NSW_FE` NSW User System FE
    `static int` | `NTP` Network Time Protocol
    `static int` | `POP_2` Post Office Protocol - Version 2
    `static int` | `PROFILE` PROFILE Naming System
    `static int` | `PWDGEN` Password Generator Protocol
    `static int` | `QUOTE` Quote of the Day
    `static int` | `RJE` Remote Job Entry
    `static int` | `RLP` Resource Location Protocol
    `static int` | `RTELNET` Remote Telnet Service
    `static int` | `SFTP` Simple File Transfer Protocol
    `static int` | `SMTP` Simple Mail Transfer
    `static int` | `STATSRV` Statistics Service
    `static int` | `SU_MIT_TG` SU/MIT Telnet Gateway
    `static int` | `SUNRPC` SUN Remote Procedure Call
    `static int` | `SUPDUP` SUPDUP
    `static int` | `SUR_MEAS` Survey Measurement
    `static int` | `SWIFT_RVF` Swift Remote Virtual File Protocol
    `static int` | `TACACS_DS` TACACS-Database Service
    `static int` | `TACNEWS` TAC News
    `static int` | `TELNET` Telnet
    `static int` | `TFTP` Trivial File Transfer
    `static int` | `TIME` Time
    `static int` | `USERS` Active Users
    `static int` | `UUCP_PATH` UUCP Path Service
    `static int` | `VIA_FTP` VIA Systems - FTP
    `static int` | `X400` X400
    `static int` | `X400_SND` X400-SND

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `string(int type)` Converts a TCP/UDP service port number into its textual representation.
    `static int` | `value(String s)` Converts a textual representation of a TCP/UDP service into its port number.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RJE

          public static final int RJE

      Remote Job Entry
      See Also:
        Constant Field Values

    - #### ECHO

          public static final int ECHO

      Echo
      See Also:
        Constant Field Values

    - #### DISCARD

          public static final int DISCARD

      Discard
      See Also:
        Constant Field Values

    - #### USERS

          public static final int USERS

      Active Users
      See Also:
        Constant Field Values

    - #### DAYTIME

          public static final int DAYTIME

      Daytime
      See Also:
        Constant Field Values

    - #### QUOTE

          public static final int QUOTE

      Quote of the Day
      See Also:
        Constant Field Values

    - #### CHARGEN

          public static final int CHARGEN

      Character Generator
      See Also:
        Constant Field Values

    - #### FTP_DATA

          public static final int FTP_DATA

      File Transfer [Default Data]
      See Also:
        Constant Field Values

    - #### FTP

          public static final int FTP

      File Transfer [Control]
      See Also:
        Constant Field Values

    - #### TELNET

          public static final int TELNET

      Telnet
      See Also:
        Constant Field Values

    - #### SMTP

          public static final int SMTP

      Simple Mail Transfer
      See Also:
        Constant Field Values

    - #### NSW_FE

          public static final int NSW_FE

      NSW User System FE
      See Also:
        Constant Field Values

    - #### MSG_ICP

          public static final int MSG_ICP

      MSG ICP
      See Also:
        Constant Field Values

    - #### MSG_AUTH

          public static final int MSG_AUTH

      MSG Authentication
      See Also:
        Constant Field Values

    - #### DSP

          public static final int DSP

      Display Support Protocol
      See Also:
        Constant Field Values

    - #### TIME

          public static final int TIME

      Time
      See Also:
        Constant Field Values

    - #### RLP

          public static final int RLP

      Resource Location Protocol
      See Also:
        Constant Field Values

    - #### GRAPHICS

          public static final int GRAPHICS

      Graphics
      See Also:
        Constant Field Values

    - #### NAMESERVER

          public static final int NAMESERVER

      Host Name Server
      See Also:
        Constant Field Values

    - #### NICNAME

          public static final int NICNAME

      Who Is
      See Also:
        Constant Field Values

    - #### MPM_FLAGS

          public static final int MPM_FLAGS

      MPM FLAGS Protocol
      See Also:
        Constant Field Values

    - #### MPM

          public static final int MPM

      Message Processing Module [recv]
      See Also:
        Constant Field Values

    - #### MPM_SND

          public static final int MPM_SND

      MPM [default send]
      See Also:
        Constant Field Values

    - #### NI_FTP

          public static final int NI_FTP

      NI FTP
      See Also:
        Constant Field Values

    - #### LOGIN

          public static final int LOGIN

      Login Host Protocol
      See Also:
        Constant Field Values

    - #### LA_MAINT

          public static final int LA_MAINT

      IMP Logical Address Maintenance
      See Also:
        Constant Field Values

    - #### DOMAIN

          public static final int DOMAIN

      Domain Name Server
      See Also:
        Constant Field Values

    - #### ISI_GL

          public static final int ISI_GL

      ISI Graphics Language
      See Also:
        Constant Field Values

    - #### NI_MAIL

          public static final int NI_MAIL

      NI MAIL
      See Also:
        Constant Field Values

    - #### VIA_FTP

          public static final int VIA_FTP

      VIA Systems - FTP
      See Also:
        Constant Field Values

    - #### TACACS_DS

          public static final int TACACS_DS

      TACACS-Database Service
      See Also:
        Constant Field Values

    - #### BOOTPS

          public static final int BOOTPS

      Bootstrap Protocol Server
      See Also:
        Constant Field Values

    - #### BOOTPC

          public static final int BOOTPC

      Bootstrap Protocol Client
      See Also:
        Constant Field Values

    - #### TFTP

          public static final int TFTP

      Trivial File Transfer
      See Also:
        Constant Field Values

    - #### NETRJS_1

          public static final int NETRJS_1

      Remote Job Service
      See Also:
        Constant Field Values

    - #### NETRJS_2

          public static final int NETRJS_2

      Remote Job Service
      See Also:
        Constant Field Values

    - #### NETRJS_3

          public static final int NETRJS_3

      Remote Job Service
      See Also:
        Constant Field Values

    - #### NETRJS_4

          public static final int NETRJS_4

      Remote Job Service
      See Also:
        Constant Field Values

    - #### FINGER

          public static final int FINGER

      Finger
      See Also:
        Constant Field Values

    - #### HOSTS2_NS

          public static final int HOSTS2_NS

      HOSTS2 Name Server
      See Also:
        Constant Field Values

    - #### SU_MIT_TG

          public static final int SU_MIT_TG

      SU/MIT Telnet Gateway
      See Also:
        Constant Field Values

    - #### MIT_DOV

          public static final int MIT_DOV

      MIT Dover Spooler
      See Also:
        Constant Field Values

    - #### DCP

          public static final int DCP

      Device Control Protocol
      See Also:
        Constant Field Values

    - #### SUPDUP

          public static final int SUPDUP

      SUPDUP
      See Also:
        Constant Field Values

    - #### SWIFT_RVF

          public static final int SWIFT_RVF

      Swift Remote Virtual File Protocol
      See Also:
        Constant Field Values

    - #### TACNEWS

          public static final int TACNEWS

      TAC News
      See Also:
        Constant Field Values

    - #### METAGRAM

          public static final int METAGRAM

      Metagram Relay
      See Also:
        Constant Field Values

    - #### HOSTNAME

          public static final int HOSTNAME

      NIC Host Name Server
      See Also:
        Constant Field Values

    - #### ISO_TSAP

          public static final int ISO_TSAP

      ISO-TSAP
      See Also:
        Constant Field Values

    - #### X400

          public static final int X400

      X400
      See Also:
        Constant Field Values

    - #### X400_SND

          public static final int X400_SND

      X400-SND
      See Also:
        Constant Field Values

    - #### CSNET_NS

          public static final int CSNET_NS

      Mailbox Name Nameserver
      See Also:
        Constant Field Values

    - #### RTELNET

          public static final int RTELNET

      Remote Telnet Service
      See Also:
        Constant Field Values

    - #### POP_2

          public static final int POP_2

      Post Office Protocol - Version 2
      See Also:
        Constant Field Values

    - #### SUNRPC

          public static final int SUNRPC

      SUN Remote Procedure Call
      See Also:
        Constant Field Values

    - #### AUTH

          public static final int AUTH

      Authentication Service
      See Also:
        Constant Field Values

    - #### SFTP

          public static final int SFTP

      Simple File Transfer Protocol
      See Also:
        Constant Field Values

    - #### UUCP_PATH

          public static final int UUCP_PATH

      UUCP Path Service
      See Also:
        Constant Field Values

    - #### NNTP

          public static final int NNTP

      Network News Transfer Protocol
      See Also:
        Constant Field Values

    - #### ERPC

          public static final int ERPC

      HYDRA Expedited Remote Procedure
      See Also:
        Constant Field Values

    - #### NTP

          public static final int NTP

      Network Time Protocol
      See Also:
        Constant Field Values

    - #### LOCUS_MAP

          public static final int LOCUS_MAP

      Locus PC-Interface Net Map Server
      See Also:
        Constant Field Values

    - #### LOCUS_CON

          public static final int LOCUS_CON

      Locus PC-Interface Conn Server
      See Also:
        Constant Field Values

    - #### PWDGEN

          public static final int PWDGEN

      Password Generator Protocol
      See Also:
        Constant Field Values

    - #### CISCO_FNA

          public static final int CISCO_FNA

      CISCO FNATIVE
      See Also:
        Constant Field Values

    - #### CISCO_TNA

          public static final int CISCO_TNA

      CISCO TNATIVE
      See Also:
        Constant Field Values

    - #### CISCO_SYS

          public static final int CISCO_SYS

      CISCO SYSMAINT
      See Also:
        Constant Field Values

    - #### STATSRV

          public static final int STATSRV

      Statistics Service
      See Also:
        Constant Field Values

    - #### INGRES_NET

          public static final int INGRES_NET

      INGRES-NET Service
      See Also:
        Constant Field Values

    - #### LOC_SRV

          public static final int LOC_SRV

      Location Service
      See Also:
        Constant Field Values

    - #### PROFILE

          public static final int PROFILE

      PROFILE Naming System
      See Also:
        Constant Field Values

    - #### NETBIOS_NS

          public static final int NETBIOS_NS

      NETBIOS Name Service
      See Also:
        Constant Field Values

    - #### NETBIOS_DGM

          public static final int NETBIOS_DGM

      NETBIOS Datagram Service
      See Also:
        Constant Field Values

    - #### NETBIOS_SSN

          public static final int NETBIOS_SSN

      NETBIOS Session Service
      See Also:
        Constant Field Values

    - #### EMFIS_DATA

          public static final int EMFIS_DATA

      EMFIS Data Service
      See Also:
        Constant Field Values

    - #### EMFIS_CNTL

          public static final int EMFIS_CNTL

      EMFIS Control Service
      See Also:
        Constant Field Values

    - #### BL_IDM

          public static final int BL_IDM

      Britton-Lee IDM
      See Also:
        Constant Field Values

    - #### SUR_MEAS

          public static final int SUR_MEAS

      Survey Measurement
      See Also:
        Constant Field Values

    - #### LINK

          public static final int LINK

      LINK
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### string

          public static String string(int type)

      Converts a TCP/UDP service port number into its textual representation.

    - #### value

          public static int value(String s)

      Converts a textual representation of a TCP/UDP service into its port number. Integers in the range 0..65535 are also accepted.
      Parameters:
        `s` - The textual representation of the service.
      Returns:
        The port number, or -1 on error.